# Lib: Prism-1.0

## [541df9d](https://github.com/Aiue/LibPrism/tree/541df9df9eea383666871b382d38fccaf55ba6b5) (2019-09-12)
[Full Changelog](https://github.com/Aiue/LibPrism/commits/541df9df9eea383666871b382d38fccaf55ba6b5)

- Fix versioning, which must have always been broken.  
- Enabled packaging for curse.  
- Tagging for classic.  
- Cleaning up non-implemented functionality.  
- TOC update.  
- Documentation now slightly more math-proper.  
- TOC update.  
- TOC update.  
- Fix for ticket #2.  
- TOC bump.  
- Attempt at giving things more appropriate names. Also added support for RGB gradients, silly as they may be.  
- Added function Prism:Gradient(), rewrote :GetAngleGradient() to call this for backwards compatibility.  
- Removed unnecessarily silly conditionals from multiplicative saturate/brightness value functions.  
- Allow for multiplicative operations in the saturation/brightness manipulation functions.  
- Fix for :RGBtoHSV()  
- Fix for :RGBtoHSV() with all three color values being identical to one another.  
- Added functions :Saturate(), :Desaturate(), :Lighten() and :Darken()  
- Made the previous fix actually work rather than breaking the function completely. (0/0 = -1.#IND = ALL the numbers\!)  
- A factor of 0/0 will now be defined as 0 within GetAngleGradient() rather than being neither validated nor redefined.  
- #@debug@ in .toc does more than advertised and also adds a space, apparently. Fix due to this.  
- Less zealous validation provides behaviour more closely matching definitions.  
- Minor versioning pokage.  
- Fixed a few errors that should've been caught by testing before even making it to alpha.  
- \'@project-timestamp@\' makes for a bad minor version.  
- Added validation to the conversion functions.  
- :GetAngleGradient() rewritten to only accept raw numbers rather than tables or strings. (Thanx Phanx)  
- Rewrote documentation a bit.  
- Fixed undefined division error.  
- Merge branch 'master' of git.wowace.com:wow/libprism-1-0/mainline  
    Conflicts:  
    	.docmeta  
- Another attempt at getting documentation parsed.  
- Documentation poke due to me being silly a moment ago.  
- Documentation poke due to me being silly a moment ago.  
- Initial commit.  
